Bug 16962 - update pcitable with new ID for Intel Pro/100 VM NIC
update pcitable with new ID for Intel Pro/100 VM NIC
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-25 16:03 EDT by John Cagle
Modified: 2014-03-16 22:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-25 16:03:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Cagle 2000-08-25 16:03:45 EDT
Please update pcitable so that the 'eepro100' driver gets associated
with the new PCI ID for the latest Intel 8255x NIC:

This patch shows the new ID:

eepro100 Patch from Torben Mathiasen:
---------------------------------------------------------

diff -ur --exclude-from=/root/torben linux-2.2.17-pre20/drivers/net/eepro100.c linux/drivers/net/eepro100.c
--- linux-2.2.17-pre20/drivers/net/eepro100.c	Thu Aug 24 21:05:31 2000
+++ linux/drivers/net/eepro100.c	Thu Aug 24 20:59:21 2000
@@ -167,6 +167,9 @@
 #ifndef PCI_DEVICE_ID_INTEL_ID1030
 #define PCI_DEVICE_ID_INTEL_ID1030 0x1030
 #endif
+#ifndef PCI_DEVICE_ID_INTEL_ID2449
+#define PCI_DEVICE_ID_INTEL_ID2449 0x2449
+#endif
 
 /* The total I/O port extent of the board.
    The registers beyond 0x18 only exist on the i82558. */
@@ -325,6 +328,10 @@
 	{ "Intel Corporation 82559 InBusiness 10/100",
 	  PCI_VENDOR_ID_INTEL, PCI_DEVICE_ID_INTEL_ID1030,
 	  0 
+	},
+	{ "Intel PCI EtherExpress Pro100 82562EM",
+	  PCI_VENDOR_ID_INTEL, PCI_DEVICE_ID_INTEL_ID2449,
+	  0
 	},
 	{0,}						/* 0 terminated list. */
 };
Comment 1 Bill Nottingham 2000-08-30 16:00:27 EDT
fixed in kudzu-0.72-3.

Note You need to log in before you can comment on or make changes to this bug.